<?
if ( $this -> params['label'] )
{
  $out .= '<div class="form_group">';
    $out .= '<label class="label">' . $this -> params['label'] . ':</label>';
    $out .= '<div class="input">';
}

      $out .= '<input ';
        $out .= 'type="' . $this -> params['type'] . '" ';

        if ( $this -> params['id'] )
          $out .= 'id="' . $this -> params['id'] . '" ';

        if ( $this -> params['class'] or $this -> params['label'] )
        {
          if ( $this -> params['label'] )
            $out .= 'class="' . $this -> params['class'] . ' form-control" ';
          else if ( $this -> params['class'] )
            $out .= 'class="' . $this -> params['class'] . '" ';
        }

        $out .= 'name="' . $this -> params['name'] . '" ';
        $out .= 'value="' . $this -> secureHTML( $this -> params['value'] ) . '" ';

        if ( $this -> params['style'] )
          $out .= 'style="' . $this -> params['style'] . '" ';

        if ( $this -> params['readonly'] )
          $out .= 'readonly="readonly" ';

        if ( $this -> params['required'] )
          $out .= 'required ';

        if ( $this -> params['autocomplete'] == 'off' )
          $out .= 'autocomplete="off" ';

        if ( $this -> params['placeholder'] )
          $out .= 'placeholder="' . $this -> params['placeholder'] . '" ';

      $out .= ' />';

if ( $this -> params['label'] )
{
    $out .= '</div>';
  $out .= '</div>';
}

echo $out;